module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(1));
var types_1 = __webpack_require__(2);
exports.TYPES = types_1.TYPES;
var lifecycle_service_sample_1 = __webpack_require__(3);
exports.TestLifecycleService = lifecycle_service_sample_1.TestLifecycleService;


/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var ShutdownReason;
(function (ShutdownReason) {
    ShutdownReason[ShutdownReason["CLOSE"] = 0] = "CLOSE";
    ShutdownReason[ShutdownReason["QUIT"] = 1] = "QUIT";
    ShutdownReason[ShutdownReason["RELOAD"] = 2] = "RELOAD";
    ShutdownReason[ShutdownReason["LOAD"] = 3] = "LOAD";
})(ShutdownReason = exports.ShutdownReason || (exports.ShutdownReason = {}));
exports.NullLifecycleService = {
    willShutdown: false,
    onWillShutdown: () => ({ dispose() { } }),
    onShutdown: (reason) => ({ dispose() { } })
};


/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
exports.TYPES = {
    ILifecycleService: Symbol('ILifecycleService'),
};


/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const event_1 = __webpack_require__(4);
const index_1 = __webpack_require__(0);
const inversify_1 = __webpack_require__(5);
let TestLifecycleService = class TestLifecycleService {
    constructor() {
        this._onWillShutdown = new event_1.Emitter();
        this._onShutdown = new event_1.Emitter();
    }
    fireShutdown(reason = index_1.ShutdownReason.QUIT) {
        this._onShutdown.fire(reason);
    }
    fireWillShutdown(event) {
        this._onWillShutdown.fire(event);
    }
    get onWillShutdown() {
        return this._onWillShutdown.event;
    }
    get onShutdown() {
        return this._onShutdown.event;
    }
};
TestLifecycleService = __decorate([
    inversify_1.injectable()
], TestLifecycleService);
exports.TestLifecycleService = TestLifecycleService;


/***/ }),
/* 4 */
/***/ (function(module, exports) {

module.exports = require("@vscode/base-node/vs/base/common/event");

/***/ }),
/* 5 */
/***/ (function(module, exports) {

module.exports = require("inversify");

/***/ })
/******/ ]);
//# sourceMappingURL=index.js.map